<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Taller AWI Formulario</title>
    <link href="style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <main>
        <h1> Formulario de registro </h1>
        <form action="" class="formulario" id="formulario">
            <center><h4>Para registrarse ingrese sus datos correctamente</h4></center>
            <div class="formulario__grupo" id="grupo__cedula">
                <label for="cedula" class="formulario__label">Número de Cédula</label>
                <div class="formulario__grupo-input">
                    <input type="text" class="formulario__input" name="cedula" id="cedula" placeholder="Ingrese su número de cédula">
                    <i class="formulario__validacion-estado fas fa-times-circle"></i>
                </div>
                <p class="formulario__input-error">Este campo solo acepta números, debe escribir 10 dígitos</p>
            </div>


            <div class="formulario__grupo" id="grupo__apellido">
                <label for="apellido" class="formulario__label">Apellido</label>
                <div class="formulario__grupo-input">
                    <input type="text" class="formulario__input" name="apellido" id="apellido" placeholder="Ingrese sus apellidos">
                    <i class="formulario__validacion-estado fas fa-times-circle"></i>
                </div>
                <p class="formulario__input-error">El apellido solo puede contener letras.</p>
            </div>


            <div class="formulario__grupo" id="grupo__nombres">
                <label for="nombres" class="formulario__label">Nombre</label>
                <div class="formulario__grupo-input">
                    <input type="text" class="formulario__input" name="nombres" id="nombres" placeholder="Ingrese su nombre">
                    <i class="formulario__validacion-estado fas fa-times-circle"></i>
                </div>
                <p class="formulario__input-error">Este campo solo puede contener letras.</p>
                <br>

            </div>
            <label > 
                <b> Estado Civil:</b>
                <br>
                <input type="radio" name="estadocivil" value="soltero"/>
                Soltero/a:
                </label>
                <label class="radio">
                <input type="radio" name="estadocivil" value="casado"/>
                Casado/a:
                </label>
                <label class="radio">
                <input type="radio" name="estadocivil" value="divorcio"/>
                Divorciado/a:
                </label>
                <label class="radio">
                <input type="radio" name="estadocivil" value="viudo"/>
                Viudo/a:
                </label>
                <label class="radio">
                <input type="radio" name="estadocivil" value="union"/>
                Union libre:
                </label>
            </label>
            <br><br>
            <label class="radio">
                <b>Sexo:</b> 
                <br>
                <input type="radio" name="sexo" value="hombre"/>
                Masculino
                </label>
                <label class="radio">
                <input type="radio" name="sexo" value="mujer"/>
                Femenino
                </label> 
                <br><br>

                
            <div class="formulario__grupo" id="grupo__ciudad">
                <label for="ciudad" class="formulario__label">Ciudad</label>
                <div class="formulario__grupo-input">
                    <input type="text" class="formulario__input" name="ciudad" id="ciudad" placeholder="Ingrese el nombre de su ciudad de residencia">
                    <i class="formulario__validacion-estado fas fa-times-circle"></i>
                </div>
                <p class="formulario__input-error">Este campo solo puede contener letras.</p>
            </div>

             <div class="formulario__grupo" id="grupo__direccion">
                <label for="direccion" class="formulario__label">Dirección</label>
                <div class="formulario__grupo-input">
                    <input type="text" class="formulario__input" name="direccion" id="direccion" placeholder="Ingrese su dirección">
                    <i class="formulario__validacion-estado fas fa-times-circle"></i>
                </div>
                <p class="formulario__input-error">Este campo solo permite ingresar letras.</p>
            </div>

            <div class="formulario__grupo" id="grupo__celular">
                <label for="celular" class="formulario__label">Celular</label>
                <div class="formulario__grupo-input">
                    <input type="text" class="formulario__input" name="celular" id="celular" placeholder="Ingrese su número celular">
                    <i class="formulario__validacion-estado fas fa-times-circle"></i>
                </div>
                <p class="formulario__input-error">Este campo debe contener 10 números</p>
            </div>


            <div class="formulario__grupo" id="grupo__correo">
                <label for="correo" class="formulario__label">Correo Electrónico</label>
                <div class="formulario__grupo-input">
                    <input type="email" class="formulario__input" name="correo" id="correo" placeholder="ejemplo@live.uleam.edu.ec">
                    <i class="formulario__validacion-estado fas fa-times-circle"></i>
                </div>
                <p class="formulario__input-error">Ingrese la estructura correcta de un Correo Electronico</p>
            </div>
            <br>


            <div class="formulario__mensaje" id="formulario__mensaje">
                <p><i class="fas fa-exclamation-triangle"></i> <b>Error:</b> Por favor rellena el formulario correctamente. </p>
            </div>
            <br>

            <div class="formulario__grupo formulario__grupo-btn-enviar">
                <button type="submit" class="formulario__btn">Enviar</button>
                <p class="formulario__mensaje-exito" id="formulario__mensaje-exito">Su información ha sido registrada exitosamente :)</p>
            </div>
        </form>
    </main>

    <script>
const formulario = document.getElementById('formulario');
const inputs = document.querySelectorAll('#formulario input');

const expresiones = {
	cedula: /^\d{7,10}$/,
	apellido: /^[a-zA-ZÀ-ÿ\s]{1,40}$/,
	nombres: /^[a-zA-ZÀ-ÿ\s]{1,40}$/, 
	ciudad: /^[a-zA-ZÀ-ÿ\s]{1,40}$/,
	direccion: /^[a-zA-ZÀ-ÿ\s]{1,40}$/, 
	correo: /^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$/, 
	celular: /^\d{7,10}$/, 
}


const campos = {
	cedula: false,
	apellido: false,
	nombres: false,
	ciudad: false,
    direccion: false,
	correo: false,
	celular: false,
}

const validarFormulario = (e) => {
	switch (e.target.name) {
		case "cedula":
			validarCampo(expresiones.cedula, e.target, 'cedula');
		break;
		case "apellido":
			validarCampo(expresiones.apellido, e.target, 'apellido');
		break;
		case "nombres":
			validarCampo(expresiones.nombres, e.target, 'nombres');
		break;
		case "ciudad":
			validarCampo(expresiones.ciudad, e.target, 'ciudad');
		break;
        case "direccion":
			validarCampo(expresiones.direccion, e.target, 'direccion');
		break;
		case "correo":
			validarCampo(expresiones.correo, e.target, 'correo');
		break;
		case "celular":
			validarCampo(expresiones.celular, e.target, 'celular');
		break;
	}
}

const validarCampo = (expresion, input, campo) => {
	if(expresion.test(input.value)){
		document.getElementById(`grupo__${campo}`).classList.remove('formulario__grupo-incorrecto');
		document.getElementById(`grupo__${campo}`).classList.add('formulario__grupo-correcto');
		document.querySelector(`#grupo__${campo} i`).classList.add('fa-check-circle');
		document.querySelector(`#grupo__${campo} i`).classList.remove('fa-times-circle');
		document.querySelector(`#grupo__${campo} .formulario__input-error`).classList.remove('formulario__input-error-activo');
		campos[campo] = true;
	} else {
		document.getElementById(`grupo__${campo}`).classList.add('formulario__grupo-incorrecto');
		document.getElementById(`grupo__${campo}`).classList.remove('formulario__grupo-correcto');
		document.querySelector(`#grupo__${campo} i`).classList.add('fa-times-circle');
		document.querySelector(`#grupo__${campo} i`).classList.remove('fa-check-circle');
		document.querySelector(`#grupo__${campo} .formulario__input-error`).classList.add('formulario__input-error-activo');
		campos[campo] = false;
	}
    
}


inputs.forEach((input) => {
	input.addEventListener('keyup', validarFormulario);
	input.addEventListener('blur', validarFormulario);
});

formulario.addEventListener('submit', (e) => {
	e.preventDefault();

	const terminos = document.getElementById('terminos');
	if(campos.cedula && campos.apellido  && campos.nombres && campos.ciudad && campos.direccion && campos.correo ){
		formulario.reset();

		document.getElementById('formulario__mensaje-exito').classList.add('formulario__mensaje-exito-activo');
		setTimeout(() => {
			document.getElementById('formulario__mensaje-exito').classList.remove('formulario__mensaje-exito-activo');
		}, 5000);

		document.querySelectorAll('.formulario__grupo-correcto').forEach((icono) => {
			icono.classList.remove('formulario__grupo-correcto');
            
		});
	} else {
		document.getElementById('formulario__mensaje').classList.add('formulario__mensaje-activo');
	}
});

    </script>
    <script src="https://kit.fontawesome.com/2c36e9b7b1.js" crossorigin="anonymous"></script>

</body>
</html>
